OpenTTD Source: DeterministicSpriteGroupAdjust Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
DeterministicSpriteGroupAdjust Struct Reference

## Data Fields
DeterministicSpriteGroupAdjustOperation | operation {}
DeterministicSpriteGroupAdjustType | type {}
uint8_t | variable = 0
uint8_t | parameter = 0
| Used for variables between 0x60 and 0x7F inclusive.
uint8_t | shift_num = 0
uint32_t | and_mask = 0
uint32_t | add_val = 0
uint32_t | divmod_val = 0
const SpriteGroup * | subroutine = nullptr

## Detailed Description

Definition at line 132 of file newgrf_spritegroup.h.

## Field Documentation

## ◆ add_val

uint32_t DeterministicSpriteGroupAdjust::add_val = 0

Definition at line 139 of file newgrf_spritegroup.h.

## ◆ and_mask

uint32_t DeterministicSpriteGroupAdjust::and_mask = 0

Definition at line 138 of file newgrf_spritegroup.h.

## ◆ divmod_val

uint32_t DeterministicSpriteGroupAdjust::divmod_val = 0

Definition at line 140 of file newgrf_spritegroup.h.

## ◆ operation

DeterministicSpriteGroupAdjustOperation DeterministicSpriteGroupAdjust::operation {}

Definition at line 133 of file newgrf_spritegroup.h.

## ◆ parameter

uint8_t DeterministicSpriteGroupAdjust::parameter = 0

Used for variables between 0x60 and 0x7F inclusive.

Definition at line 136 of file newgrf_spritegroup.h.

Referenced by DeterministicSpriteGroup::Resolve().

## ◆ shift_num

uint8_t DeterministicSpriteGroupAdjust::shift_num = 0

Definition at line 137 of file newgrf_spritegroup.h.

## ◆ subroutine

const SpriteGroup* DeterministicSpriteGroupAdjust::subroutine = nullptr

Definition at line 141 of file newgrf_spritegroup.h.

## ◆ type

DeterministicSpriteGroupAdjustType DeterministicSpriteGroupAdjust::type {}

Definition at line 134 of file newgrf_spritegroup.h.

## ◆ variable

uint8_t DeterministicSpriteGroupAdjust::variable = 0

Definition at line 135 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h